GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
geos::geom::prep::PreparedPolygonContains Class Reference

Computes the `contains` spatial relationship predicate for a PreparedPolygon relative to all other Geometry classes. More...

`#include <PreparedPolygonContains.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonContains:

## Public Member Functions
| PreparedPolygonContains (const PreparedPolygon *const prepPoly)
bool | contains (const geom::Geometry *geom)
Public Member Functions inherited from geos::geom::prep::AbstractPreparedPolygonContains
| AbstractPreparedPolygonContains (const PreparedPolygon *const prepPoly)
| AbstractPreparedPolygonContains (const PreparedPolygon *const prepPoly, bool requireSomePointInInterior)
Public Member Functions inherited from geos::geom::prep::PreparedPolygonPredicate
| PreparedPolygonPredicate (const PreparedPolygon *const prepPoly)

## Static Public Member Functions
static bool | contains (const PreparedPolygon *const prep, const geom::Geometry *geom)

## Protected Member Functions
bool | fullTopologicalPredicate (const geom::Geometry *geom)
Protected Member Functions inherited from geos::geom::prep::AbstractPreparedPolygonContains
bool | eval (const geom::Geometry *geom)
Protected Member Functions inherited from geos::geom::prep::PreparedPolygonPredicate
bool | isAllTestComponentsInTarget (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the target geometry.
bool | isAllTestComponentsInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the interior of the target geometry.
bool | isAnyTestComponentInTarget (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the area of the target geometry.
bool | isAnyTestComponentInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the interior of the target geometry.
bool | isAnyTargetComponentInAreaTest (const geom::Geometry *testGeom, const geom::Coordinate::ConstVect *targetRepPts) const

## Additional Inherited Members
Protected Attributes inherited from geos::geom::prep::AbstractPreparedPolygonContains
bool | requireSomePointInInterior

## Detailed Description

Computes the `contains` spatial relationship predicate for a PreparedPolygon relative to all other Geometry classes.

Uses short-circuit tests and indexing to improve performance.

It is not possible to short-circuit in all cases, in particular in the case where the test geometry touches the polygon linework. In this case full topology must be computed.

Author
  Martin Davis

## Constructor & Destructor Documentation

geos::geom::prep::PreparedPolygonContains::PreparedPolygonContains | ( | const PreparedPolygon *const | prepPoly | ) |

Creates an instance of this operation.

Parameters

  prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

bool geos::geom::prep::PreparedPolygonContains::contains | ( | const geom::Geometry * | geom | ) |
| inline

Tests whether this PreparedPolygon `contains` a given geometry.

Parameters

  geom | the test geometry

Returns
  true if the test geometry is contained

References geos::geom::prep::AbstractPreparedPolygonContains::eval().

Referenced by contains().

static bool geos::geom::prep::PreparedPolygonContains::contains | ( | const PreparedPolygon *const | prep,
|  | const geom::Geometry * | geom
| ) |  |
| inline static

Computes the contains predicate between a PreparedPolygon and a Geometry.

Parameters

  prep | the prepared polygon
  geom | a test geometry

Returns
  true if the polygon contains the geometry

References contains().

bool geos::geom::prep::PreparedPolygonContains::fullTopologicalPredicate | ( | const geom::Geometry * | geom | ) |
| protected virtual

Computes the full topological `contains` predicate. Used when short-circuit tests are not conclusive.

Parameters

  geom | the test geometry

Returns
  true if this prepared polygon contains the test geometry

Implements geos::geom::prep::AbstractPreparedPolygonContains.

The documentation for this class was generated from the following file:

- PreparedPolygonContains.h